<?php

class DocumentoSystemClass {

  private $o_ParamBean;
  
  public function __construct($o_ParamBean){
    $this->o_ParamBean = $o_ParamBean;
  }
  
  private function getObjParamBean(){
    return $this->o_ParamBean;
  }
  
  public function insertDocumento(){
    
    $o_DocumentoBL = new DocumentoBL();
    return $o_DocumentoBL->insertarDocumento($this->getObjParamBean());
    
  }
  
  public function insertUsuario($o_UsuarioBean){
    $o_UsuarioBL = new UsuarioBL();
    $o_UsuarioBL->insertarUsuario($o_UsuarioBean);
  }
   
  public function eliminarDocumento(){
    
    $o_DocumentoBL = new DocumentoBL();
    return $o_DocumentoBL->eliminarDocumento($this->getObjParamBean());
    
  }
  
  public function actualizarDocumento(){
    
    $o_DocumentoBL = new DocumentoBL();
    return $o_DocumentoBL->modificarDocumento($this->getObjParamBean());
    
  }
  
  public function getTipoDocumento(){
  
    $o_TipoDocumentoBL = new TipoDocumentoBL();
    return $o_TipoDocumentoBL->busquedaTipoDocumento($this->getObjParamBean());
  
  }
  
  public function getDocumento(){
  
    $o_DocumentoBL = new DocumentoBL();
    return $o_DocumentoBL->getDocumento($this->getObjParamBean());
  
  }
  
  public function getGrado(){
    $o_GradoBL = new GradoBL();
    return $o_GradoBL->busquedaGrado(new GradoBean());
    
  }
   public function getFacultad(){
    
    $o_FacultadBL = new FacultadBL();
    return $o_FacultadBL->getFacultad($this->getObjParamBean());
  }
  
  public function getEspecialidad(){
    
    $o_EspecialidadBL = new EspecialidadBL();
    return $o_EspecialidadBL->getEspecialidad($this->getObjParamBean());
  }

}